미디어 업로드 추가
curl --request POST \
--url https://api.x.com/2/media/upload/{id}/append \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"media": "<string>",
"segment_index": 499
}
'import requests
url = "https://api.x.com/2/media/upload/{id}/append"
payload = {
"media": "<string>",
"segment_index": 499
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({media: '<string>', segment_index: 499})
};
fetch('https://api.x.com/2/media/upload/{id}/append', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"expires_at": 123
},
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
]
}{
"code": 123,
"message": "<string>"
}업로드
미디어 업로드 추가
기존 미디어 업로드 요청에 데이터를 추가합니다.
POST
/
2
/
media
/
upload
/
{id}
/
append
미디어 업로드 추가
인증
OAuth2UserTokenUserToken
The access token received from the authorization server in the OAuth 2.0 flow.
경로 매개변수
append 연산을 수행할 미디어의 식별자입니다. 이 미디어의 고유 식별자입니다.
Pattern:
^[0-9]{1,19}$예시:
"1146654567674912769"
본문
application/jsonmultipart/form-data
응답
요청이 성공했습니다.
미디어 업로드 요청 상태 조회에 대한 응답입니다.
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
⌘I